=== debian/changelog ===
xtrkcad (1:4.2.1-1) unstable; urgency=low

  * new upstream version, closes: #622924
  * packaging updates and fixes; removes patchset for help system as is now
    integrated upstream
  * turnout naming fix from upstream, closes: #784423

 -- Daniel E. Markle <dmarkle@ashtech.net>  Sun, 08 Nov 2015 14:52:44 -0500
