=== debian/control ===
Source: xtrkcad
Section: editors
Priority: extra
Maintainer: Daniel E. Markle <dmarkle@ashtech.net>
Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, libgtk2.0-dev, libx11-dev, netpbm, imagemagick, libwebkit-dev, libcairo2-dev, cmake
Standards-Version: 3.9.6
Homepage: http://xtrkcad.org/
#Vcs-Git: git://git.debian.org/collab-maint/xtrkcad.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/xtrkcad.git;a=summary

Package: xtrkcad
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Model Train Track CAD Program
 This program allows you to design model train layouts.  It is fundamentally
 a drawing (CAD) program, but tailored to some of the specific issues in the
 model train world.
