## xtrkcad 4.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,9 @@
 
 if(COMMAND cmake_policy)
     cmake_policy(SET CMP0003 NEW)
+    if( POLICY CMP0026 )
+	cmake_policy(SET CMP0026 OLD)
+    endif( POLICY CMP0026 ) 	
 endif(COMMAND cmake_policy)
 
 SET(XTRKCAD_USE_DOXYGEN_DEFAULT OFF)
@@ -82,7 +85,7 @@
 # Setup some global options for installation ...
 SET(XTRKCAD_MAJOR_VERSION "4")
 SET(XTRKCAD_MINOR_VERSION "2")
-SET(XTRKCAD_RELEASE_VERSION "1")
+SET(XTRKCAD_RELEASE_VERSION "2")
 SET(XTRKCAD_VERSION_MODIFIER "")
 SET(XTRKCAD_VERSION "${XTRKCAD_MAJOR_VERSION}.${XTRKCAD_MINOR_VERSION}.${XTRKCAD_RELEASE_VERSION}${XTRKCAD_VERSION_MODIFIER}")
