=== app/CMakeLists.txt ===
# "bin/i18n.h" is widely used
INCLUDE_DIRECTORIES(bin)

# Setup the rest of the build ...
ADD_SUBDIRECTORY(wlib)
ADD_SUBDIRECTORY(tools)
ADD_SUBDIRECTORY(help)
ADD_SUBDIRECTORY(doc)
ADD_SUBDIRECTORY(bin)
ADD_SUBDIRECTORY(lib)

IF(XTRKCAD_USE_GETTEXT)
	ADD_SUBDIRECTORY(i18n)
ENDIF(XTRKCAD_USE_GETTEXT)
