=== distribution/posix/CMakeLists.txt ===
# Setup packaging ...
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "XTrackCAD is a CAD program for designing model railroad layouts.")
SET(CPACK_GENERATOR "TGZ" "RPM" "TBZ2")
SET(CPACK_PACKAGE_RELEASE 1)
SET(CPACK_RPM_PACKAGE_LICENSE "GPL")
SET(CPACK_RPM_PACKAGE_GROUP "Applications/Engineering")
SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}////xtrkcad-desc.txt")
SET(CPACK_PACKAGE_FILE_NAME "xtrkcad-setup-${XTRKCAD_VERSION}-${CPACK_PACKAGE_RELEASE}.${CMAKE_SYSTEM_PROCESSOR}")
SET(CPACK_INSTALL_PREFIX "/usr/local/" )
SET(CPACK_PACKAGE_VENDOR "XTrackCAD Fork Project")
SET(CPACK_RPM_PACKAGE_REQUIRES "glibc gtk2 webkitgtk")
# exclude these directories from the  rpm
SET(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION "/usr/share/locale"
	"/usr/share/locale/*"
)

SET(CPACK_RPM_CHANGELOG_FILE "${CMAKE_CURRENT_SOURCE_DIR}////changelog.txt")

INCLUDE(CPack)
