=== debian/changelog ===
xtrkcad (1:4.2.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change build-depends from libwebkit-dev to libwebkitgtk-dev as a
    part of webkit transition (Closes: #635432).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Feb 2016 14:38:06 +0100

xtrkcad (1:4.2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix licenses (Closes: #811091).
  * Bump std-version to 3.9.7.
  * Update rules file to new dh sequencer.
    (add manpages file)
  * Remove useless include-binaries file.
  * Use cmake build with debug symbols.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Feb 2016 14:05:22 +0100

xtrkcad (1:4.2.2-1) unstable; urgency=low

  * new upstream version
  * dep5 copyright file added
  * removed obsolete debian menu entry
  * removed harden patch now upstream

 -- Daniel E. Markle <dmarkle@ashtech.net>  Thu, 19 Nov 2015 01:20:44 -0500
