=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: editors
 Priority: extra
 Maintainer: Daniel E. Markle <dmarkle@ashtech.net>
-Build-Depends: debhelper (>= 7.0.50~), libglib2.0-dev, libgtk2.0-dev, libx11-dev, netpbm, imagemagick, libwebkit-dev, libcairo2-dev, cmake
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), libglib2.0-dev, libgtk2.0-dev, libx11-dev, netpbm, imagemagick, libwebkitgtk-dev, libcairo2-dev, cmake
+Standards-Version: 3.9.7
 Homepage: http://xtrkcad.org/
 #Vcs-Git: git://git.debian.org/collab-maint/xtrkcad.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/xtrkcad.git;a=summary
