=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
			-DMAKE_BUILD_TYPE=RelWithDebInfo \
			-DXTRKCAD_USE_GETTEXT=ON \
			-DXTRKCAD_USE_GTK=ON \
			-DXTRKCAD_USE_GTK_CAIRO=ON \
			-DXTRKCAD_USE_LAYOUTCONTROL=ON

override_dh_install:
	dh_install
	rm -f debian/xtrkcad/usr/share/xtrkcad/COPYING
