=== debian/watch ===
version=3
opts="downloadurlmangle=s/$/\//,filenamemangle=s/$//" \
  http://sourceforge.net/projects/xtrkcad-fork/files/XTrackCad/ Version%20(.*)/
