## xtrkcad 4.2.4a

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,13 +6,11 @@
 # Setup high-level build options ...
 IF(UNIX AND NOT APPLE)
 	SET(XTRKCAD_USE_GTK_DEFAULT ON)
-	SET(XTRKCAD_USE_GTK_CAIRO_DEFAULT ON)
 	SET(XTRKCAD_USE_GETTEXT_DEFAULT ON)
 ENDIF(UNIX AND NOT APPLE)
 
 IF(APPLE)
 	SET(XTRKCAD_USE_GTK_DEFAULT ON)
-	SET(XTRKCAD_USE_GTK_CAIRO_DEFAULT ON)
 	SET(XTRKCAD_USE_GETTEXT_DEFAULT OFF)
 ENDIF(APPLE)
 
@@ -20,7 +18,6 @@
 	CMAKE_MINIMUM_REQUIRED(VERSION 2.4.7 FATAL_ERROR)
 
 	SET(XTRKCAD_USE_GTK_DEFAULT OFF)
-	SET(XTRKCAD_USE_GTK_CAIRO_DEFAULT OFF)
 	SET(XTRKCAD_USE_GETTEXT_DEFAULT OFF)
 
 	SET(CMAKE_C_FLAGS_DEBUG "/D_DEBUG /MTd /Zi  /Ob0 /Od /RTC1" CACHE STRING "Flags used by the compiler during debug builds" FORCE)
@@ -40,11 +37,8 @@
 endif(COMMAND cmake_policy)
 
 SET(XTRKCAD_USE_DOXYGEN_DEFAULT OFF)
-SET(XTRKCAD_USE_LAYOUTCONTROL_DEFAULT OFF)
 OPTION(XTRKCAD_USE_GTK "Use GTK for the graphical user interface back-end" ${XTRKCAD_USE_GTK_DEFAULT})
-OPTION(XTRKCAD_USE_GTK_CAIRO "Use Cairo for high-quality antialiased rendering" ${XTRKCAD_USE_GTK_CAIRO_DEFAULT})
 OPTION(XTRKCAD_USE_GETTEXT "Use gettext for internationalization" ${XTRKCAD_USE_GETTEXT_DEFAULT})
-OPTION(XTRKCAD_USE_LAYOUTCONTROL "Include layout control commands" ${XTRKCAD_USE_LAYOUTCONTROL_DEFAULT})
 OPTION(XTRKCAD_USE_DOXYGEN "Generate internals documentation using doxygen" ${XTRKCAD_USE_DOXYGEN_DEFAULT})
 
 IF(APPLE)
@@ -85,8 +79,8 @@
 # Setup some global options for installation ...
 SET(XTRKCAD_MAJOR_VERSION "4")
 SET(XTRKCAD_MINOR_VERSION "2")
-SET(XTRKCAD_RELEASE_VERSION "2")
-SET(XTRKCAD_VERSION_MODIFIER "")
+SET(XTRKCAD_RELEASE_VERSION "4")
+SET(XTRKCAD_VERSION_MODIFIER "a")
 SET(XTRKCAD_VERSION "${XTRKCAD_MAJOR_VERSION}.${XTRKCAD_MINOR_VERSION}.${XTRKCAD_RELEASE_VERSION}${XTRKCAD_VERSION_MODIFIER}")
 
 IF(WIN32)
