=== app/bin/CMakeLists.txt ===
--- 
+++ 
@@ -63,6 +63,7 @@
 SET(SOURCES
 	${LIN_SOURCES}
 	bllnhlp.c
+	cblock.c
 	ccurve.c
 	cdraw.c
 	celev.c
@@ -84,6 +85,7 @@
 	csplit.c
 	cstraigh.c
 	cstruct.c
+	cswitchmotor.c
 	ctext.c
 	ctodesgn.c
 	ctrain.c
@@ -120,14 +122,6 @@
 	tstraigh.c
 	utility.c
 	)
-
-IF(XTRKCAD_USE_LAYOUTCONTROL)
-	SET(SOURCES
-		${SOURCES}
-		cblock.c
-		cswitchmotor.c
-		)
-ENDIF(XTRKCAD_USE_LAYOUTCONTROL)
 
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
 INCLUDE_DIRECTORIES(${XTrkCAD_BINARY_DIR})
