=== debian/changelog ===
xtrkcad (1:4.2.4a-1) unstable; urgency=medium

  [ Mike Gabriel & Jörg Frings-Fürst ]
  * New Maintainer (Closes: #849139):
    - debian/control: Add myself as maintainer.
    - debian/copyright: Add myself to debian/*.
    Thanks for your work to Daniel E. Markle.
  * New upstream release (Closes: #847843, #784423).
    - New debian/patches/0100-gtk.patch to prevent gcc format-security errors.
  * Remove debian/source/options to use the standard compression.
  * Remove debian/source.lintian-overrides.
  * Change debian/compat to 10 (no changes required).
  * debian/control:
    - Add Mike Gabriel <sunweaver@debian.org> as Uploader (Closes: #847843).
    - Bump Standards-Version to 3.9.8 (no changes required).
    - Bump debhelper B-D minimum version to 10.
    - Add Vcs-* tags.
    - Change Priority from extra to optional to match with current ftp-master
      override file.
    - Rewrite package description.
    - Remove not longer used libglib2.0-dev, libx11-dev, netpbm, imagemagick 
      and libcairo2-dev from Build-Depends.
  * debian/rules:
   - Enable hardening.
   - Remove now unused parameter from dh_auto_configure.
   - Add -DCMAKE_INSTALL_PREFIX:PATH=/usr/ to dh_auto_configure.
  * New debian/patches/0700-info_file.patch to add requested directory entry
    and INFO-DIR-SECTION.
  * New debian/patches/0900-spelling-errors.patch to correct some typos.
  * Rewrite debian/watch to use the sf redirector.
    - Add files to exclude in debian/copyright.
  * Rewrite debian/copyright.
  * Split package into arch-indep and arch-dep packages:
    - New package xtrkcad-common for the arch-indep files.
      + Add section for xtrkcad-common into debian/control.
      + New debian/xtrkcad-common.install.
      + Rewrite debian/xtrkcad.install.
      + Remove now useless override_dh_install for debian/rules.
      + New debian/NEWS.debian.
      + New debian/xtrkcat-common.doc-base.
      + New debian/patches/0705-help_path.patch:
        - Change the directory with the help html files to the installation
          specific.
  * Remove useless debian/docs.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 02 Jan 2017 15:43:42 +0100
