=== debian/watch ===
version=4
#opts="downloadurlmangle=s/$/\//,filenamemangle=s/$//" \
  http://sf.net/xtrkcad-fork/ xtrkcad-source-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
